/// <reference types="react" />
import { PaymentsPaypalInterface } from '@store/wizards/payments/paypal/data/paypal-screen-data';
export interface PaymentsPaypalProviderContextInterface {
    paymentsPaypalState: PaymentsPaypalInterface;
    installPlugin: () => Promise<unknown>;
    setPlan: (value: string) => void;
    setIsLoading: (value: boolean) => void;
    setOauthUrls: (oauthUrls: {
        standard: string;
        advanced: string;
        onboardingNonce: string;
    }) => void;
    setOauthStarted: (value: boolean) => void;
    setPluginActive: (value: boolean) => void;
    setPluginInstalled: (value: boolean) => void;
    setPaypalKeys: (email: string, merchantId: string, clientId: string) => void;
    setError: (value: boolean) => void;
}
export declare const PaymentsPaypalContext: import("react").Context<PaymentsPaypalProviderContextInterface | null>;
declare const PaymentsPaypalProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
export default PaymentsPaypalProvider;
//# sourceMappingURL=PaymentsPaypalProvider.d.ts.map