export type ShippingProviderType = {
    [key: string]: {
        active: boolean;
    };
};
export interface ShippingWizardObjectInterface {
    slug: string;
    providers: ShippingProviderType;
    ajax: StoreBuilderAjaxObject;
}
export interface ShippingScreenDataInterface extends ShippingWizardObjectInterface {
    isLoading: boolean;
    shippingProviders: string[];
    providersActivated: boolean;
    lastStep: number;
    error: boolean;
    steps: Array<StepInterface>;
}
declare const ShippingScreenData: () => ShippingScreenDataInterface;
export default ShippingScreenData;
//# sourceMappingURL=shipping-screen-data.d.ts.map