/// <reference types="react" />
import { PaymentsStripeInterface } from '@store/wizards/payments/stripe/data/stripe-screen-data';
export interface PaymentsStripeProviderContextInterface {
    paymentsStripeState: PaymentsStripeInterface;
    installPlugin: () => Promise<unknown>;
    setOauthUrl: (oauthUrl: string) => void;
    setOauthStarted: (value: boolean) => void;
    setPluginActive: (value: boolean) => void;
    setPluginInstalled: (value: boolean) => void;
    setStripeKeys: (publishable: string, secret: string) => void;
    setError: (value: boolean) => void;
    setIsLoading: (value: boolean) => void;
}
export declare const PaymentsStripeContext: import("react").Context<PaymentsStripeProviderContextInterface | null>;
declare const PaymentsStripeProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
export default PaymentsStripeProvider;
//# sourceMappingURL=PaymentsStripeProvider.d.ts.map